Block
curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/esplora/block/{hash} \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/esplora/block/{hash}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/esplora/block/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"height": 123,
"version": 123,
"timestamp": 123,
"bits": 123,
"nonce": 123,
"merkle_root": "<string>",
"tx_count": 123,
"size": 123,
"weight": 123,
"previousblockhash": "<string>",
"mediantime": 123,
"difficulty": 123,
"extras": {}
}Blocks
Block
Get detailed information about a specific Bitcoin block including header data, transactions, and statistics.
GET
/
block
/
{hash}
Block
Authorizations
Project API Key
Path Parameters
The block hash to retrieve information for.
Example:
"00000000000000000001b9dca5d168a8e959df258814beec486572e843fddee5"
Response
Block metadata
Block hash
Optional explorer-specific metadata
Was this page helpful?

